> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post a journal entry

> Post a journal entry

### Path parameters

<ParamField path="id" type="string" required>
  Journal entry ID
</ParamField>

### Request body

`PostJournalEntryRequest`

<ParamField body="posted_by" type="string,null">
  Actor recorded as the poster. Defaults to `api`.
</ParamField>

### Responses

<ResponseField name="200" type="JournalEntryResponse" />

<ResponseField name="422" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/gl/journal-entries/{id}/post' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "posted_by": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "created_at": "string",
    "description": "string",
    "entry_date": "string",
    "entry_number": "string",
    "entry_type": "string",
    "id": "string",
    "is_balanced": true,
    "lines": [
      {
        "account_id": "string",
        "account_name": null,
        "account_number": null,
        "credit_amount": "string",
        "currency": "string",
        "debit_amount": "string",
        "description": null,
        "id": "string",
        "line_number": 1
      }
    ],
    "period_id": "string",
    "posted_at": null,
    "posted_by": null,
    "reversed_entry_id": null,
    "reversing_entry_id": null,
    "source": "string",
    "status": "string",
    "total_credits": "string",
    "total_debits": "string"
  }
  ```
</ResponseExample>
